# QTableWidgetItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTableWidgetItem(QIcon icon, String text, int type)
- void QTableWidgetItem(String text, int type)
- void QTableWidgetItem(int type)

### Constructor Properties

- prototype: The QTableWidgetItem prototype object
- Type = 0
- UserType = 1000
- ItemType( value )

### Prototype Object Properties

- QBrush background()
- CheckState checkState()
- QTableWidgetItem clone()
- int column()
- Object data(int role)
- ItemFlags flags()
- QFont font()
- QBrush foreground()
- QIcon icon()
- bool isSelected()
- void readFrom(QDataStream in)
- int row()
- void setBackground(QBrush brush)
- void setCheckState(CheckState state)
- void setData(int role, Object value)
- void setFlags(ItemFlags flags)
- void setFont(QFont font)
- void setForeground(QBrush brush)
- void setIcon(QIcon icon)
- void setSelected(bool select)
- void setSizeHint(QSize size)
- void setStatusTip(String statusTip)
- void setText(String text)
- void setTextAlignment(int alignment)
- void setToolTip(String toolTip)
- void setWhatsThis(String whatsThis)
- QSize sizeHint()
- String statusTip()
- QTableWidget tableWidget()
- String text()
- int textAlignment()
- String toolTip()
- int type()
- String whatsThis()
- void writeTo(QDataStream out)

### Instance Properties

QTableWidgetItem objects have no special properties beyond those inherited from the QTableWidgetItem prototype object.